Gentoo Archives: gentoo-pms

From: Ulrich Mueller <ulm@g.o>
To: gentoo-pms@l.g.o
Subject: Re: [gentoo-pms] EAPI 4
Date: Sat, 04 Dec 2010 11:47:04
Message-Id: 19706.10792.25428.361207@a1i15.kph.uni-mainz.de
In Reply to: [gentoo-pms] EAPI 4 by Ulrich Mueller
>>>>> On Tue, 30 Nov 2010, Ulrich Mueller wrote:
> Excluded / postponed to next EAPI: > - slot operator dependencies > - profile defined IUSE injection
> Additionally included: > + REQUIRED_USE (bug 347353) > + MERGING_FROM (bug 347351)
> How should we proceed now? Should we move the two excluded features > off to a branch (like eapi-5), and keep only EAPI 4 things in master?
Anyway, for the time being I have saved them in a local branch. We can decide later how we shall proceed for EAPI 5. I've prepared patches for the missing pieces of EAPI 4: See bug 347351 for MERGE_TYPE and bug 347353 for REQUIRED_USE. Attached to this message are another two patches for removal of "Slot operator dependencies" and "Profile IUSE injection". I've tried to keep them as unobtrusive as possible, especially the latter. Please review the patches. Still missing is an update of the EAPI cheat sheet. Fauli, could you (as usual) take care of that? Ulrich

Attachments

File name MIME type
0001-Slot-operator-dependencies-are-not-in-EAPI-4.patch text/plain
0002-Profile-IUSE-injection-is-not-in-EAPI-4.patch text/plain

Replies

Subject Author
Re: [gentoo-pms] EAPI 4 Ulrich Mueller <ulm@g.o>